@ECHO OFF


REM The JAVAEE_TARGET can be either "weblogic" or "glassfish"
set JAVAEE_TARGET=glassfish

REM Configure WL_HOME if JAVAEE_TARGET=weblogic
REM Configure GF_HOME if JAVAEE_TARGET=glassfish
set WLS_HOME=C:\oracle\wls1035\wlserver_10.3
set GF_HOME=C:\oracle\glassfish311\glassfish

set JAVA_HOME=C:\java\jdk1.6.0_24
set ANT_HOME=C:\java\apache-ant-1.8.2

IF (%JAVAEE_TARGET%) == (weblogic) (
  FOR /F %%G IN ('dir /b %WLS_HOME%\..\modules\org.eclipse*.*') DO (
    set CLASSPATH=%WLS_HOME%\..\modules\%%G;%~dp0build-%JAVAEE_TARGET%
  )
) ELSE (
  set CLASSPATH=%GF_HOME%\modules\org.eclipse.persistence.core.jar;%GF_HOME%\lib\ant\ant-tasks.jar;%~dp0build-%JAVAEE_TARGET%
)
set ORIG_PATH=%PATH%
set PATH=%JAVA_HOME%\bin;%ANT_HOME%\bin;%PATH%

