#!/bin/sh

# The JAVAEE_TARGET can be either "weblogic" or "glassfish"
export JAVAEE_TARGET=glassfish

# Configure WL_HOME if JAVAEE_TARGET=weblogic
# Configure GF_HOME if JAVAEE_TARGET=glassfish

export GF_HOME=/app/oracle/product/glassfish312/glassfish
export WLS_HOME=/app/oracle/product/wls1035/wlserver_10.3
#export WLS_HOME=/app/oracle/product/wls1211/wlserver_12.1
export JAVA_HOME=/usr/java/jdk1.7.0_02
export ANT_HOME=/usr/ant/apache-ant-1.8.2

if [ $JAVAEE_TARGET == "weblogic" ] 
then
  export CLASSPATH=`ls $WLS_HOME/../modules/org.eclipse*`:./build-$JAVAEE_TARGET
else
  export CLASSPATH=$GF_HOME/lib/ant/ant-tasks.jar:$GF_HOME/modules/org.eclipse.persistence.core.jar:./build-$JAVAEE_TARGET
fi
export PATH=$ANT_HOME/bin:$JAVA_HOME/bin:$PATH
